
/* script */
var right_w = 25;
var changed = false;
var page = 1;
var rpp = 5;

$(window).load(function(){
	if(location.href.match("^https?:\/\/") && timeline){
		changed = true;
		
		$("body").wrapInner('<div id="left"></div>');
		
		var right = '';
		right += '<div id="right">';
		right += '<div id="shareBarClose"><img src="'+i18n[lang].bt_close+'" width="25" alt="'+i18n[lang].close+'"></div>';
		right += '<div id="shareBarOpen"><img src="'+i18n[lang].bt_open+'" width="25" alt="'+i18n[lang].open+'"></div>';
		right += '<div id="shareContents_header"><img src="'+i18n[lang].bt_reload+'" height="24" alt="'+i18n[lang].reload+'" class="rollover"></div>';
		right += '<div id="tweets"></div>';
		right += '</div>';
		$("body").append($(right));
		
		$("#shareBarOpen").hide();
		right_w = 272;
		
		size_set();
		$(window).resize(function(){changed = true});
		get_tweets();
		
		$("#shareBarClose").click(function(){
			$("#shareBarClose").hide();
			$("#shareBarOpen").show();
			right_w = 25;
			size_set_now();
		});
		$("#shareBarOpen").click(function(){
			$("#shareBarClose").show();
			$("#shareBarOpen").hide();
			right_w = 272;
			size_set_now();
		});
		$("#shareContents_header img").click(function(){
			refresh_tweets();
		});
	}
});

function share(){
	url = location.href;
	title = document.title;
	window.open('//www.facebook.com/sharer/sharer.php?s=100&p%5Btitle%5D='+encodeURIComponent(title)+'&p%5Bsummary%5D='+encodeURIComponent(fb_comment)+'&p%5Burl%5D='+encodeURIComponent(url), 'facebook', 'width=660, height=400, resizable=1 ,menubar=no, toolbar=no, scrollbars=yes');
}
function tweet(){
	url = location.href;
	title = document.title;
	window.open('//twitter.com/intent/tweet?text='+encodeURIComponent(title)+'%20'+encodeURIComponent(tw_comment)+'&url='+encodeURIComponent(url)+'&hashtags='+encodeURIComponent(hashtag), 'tweet', 'width=600, height=400, menubar=no, toolbar=no, scrollbars=yes');
}

function size_set(event){
	if(changed){
		size_set_now();
		changed = false;
	}
	setTimeout(size_set,500);
}

function size_set_now(){
	$("#right").width(right_w);
	$("#right").height($(window).height());
	$("#left").width($(window).width()-right_w);
	$("#left").height($(window).height());
	$("#tweets").height($(window).height()-34);
}

function refresh_tweets(){
	page = 1;
	$("#tweets").html("");
	get_tweets();
}

function more_tweets(){
	page += 1;
	get_tweets();
}


function get_tweets(){
	$("#tweets .more").remove();
	$("#tweets").append('<div class="tweetBox loading"></div>');

	var $script_tag = $('<script type="text/javascript" src="%s" />');
	$script_tag.attr("src", "//search.twitter.com/search.json?q=%23"+encodeURIComponent(hashtag)+"&rpp="+rpp+"&page="+page+"&callback=load_tweets");
	$("head").append($script_tag);
}

function load_tweets(res){
	$("#tweets .loading").remove();
	if(page == 1){
		$("#tweets").html("");
	}
	
	$(res.results).each(function(el){
		var str = '';
		str += '<div class="tweetBox">';
		str += '<div class="avatar"><a href="//twitter.com/'+this.from_user+'" target="_blank"><img src="'+this.profile_image_url+'" alt="'+this.from_user+'" width="30" height="30"></a></div>';
		str += '<div class="twTxt">';
		str += '<p><a href="//twitter.com/'+this.from_user+'" target="_blank">'+this.from_user+'</a>&nbsp;'+formatTwitString(this.text)+'</p>';
		str += '<p class="twStatus">';
		str += '<a href="//twitter.com/'+this.from_user+'/status/'+this.id_str+'" target="_blank">'+relativeTime(this.created_at)+'</a> ・ ';
		str += '<a href="//twitter.com/intent/tweet?in_reply_to='+this.id_str+'" target="_blank">'+i18n[lang].reply+'</a> ・ ';
		str += '<a href="//twitter.com/intent/retweet?tweet_id='+this.id_str+'" target="_blank">'+i18n[lang].retweet+'</a> ・ ';
		str += '<a href="//twitter.com/intent/favorite?tweet_id='+this.id_str+'" target="_blank">'+i18n[lang].favorite+'</a>';
		str += '</p>';
		str += '</div>';
		str += '</div>';
		
		var $tweet = $(str);
		$("#tweets").append($tweet);
	});
	
	if(res.results && res.results.length == rpp){
		$("#tweets").append('<div class="tweetBox more"><p><a href="#" onclick="return false;">'+i18n[lang].more+'</a></p></div>');
		$("#tweets .more a").click(function(){
			more_tweets();
		});
	}
}

function formatTwitString(str)
{
	str =' '+str;
	str = str.replace(/((ftp|https?):\/\/([-\w\.]+)+(:\d+)?(\/([\w/_\.]*(\?\S+)?)?)?)/gm,'<a href="$1" target="_blank">$1</a>');
	str = str.replace(/([^\w])\@([\w\-]+)/gm,'$1@<a href="//twitter.com/$2" target="_blank">$2</a>');
	var tags = str.match(/\#[^\s\"\',。．、，「」]+/gm); //"
	for(var i=0; i<tags.length; i++){
		t = tags[i].replace('#','');
		str = str.replace('#'+t,'<a href="//twitter.com/search?q=%23'+encodeURIComponent(t)+'" target="_blank">#'+t+'</a>');
	}
	return str;
}

function relativeTime(pastTime)
{	
	var origStamp = Date.parse(pastTime);
	var curDate = new Date();
	var currentStamp = curDate.getTime();
	
	var difference = parseInt((currentStamp - origStamp)/1000);
	
	if(difference < 0) return false;

	if(difference <= 59)			return difference+" "+i18n[lang].seconds_ago;
	if(difference < 3600)			return parseInt(difference/60)+" "+i18n[lang].minutes_ago;
	if(difference < 23.5*3600)		return Math.round(difference/3600)+" "+i18n[lang].hours_ago;
	if(difference < 24*3600)		return i18n[lang].oneday_ago;
	
	var d = new Date(origStamp);
	if(lang == 'ja'){
		return (d.getMonth()+1)+i18n[lang].month+d.getDate()+i18n[lang].date;
	}else{
		date_sp = pastTime.split(" ");
		return date_sp[0]+" "+date_sp[1]+" "+date_sp[2];
	}
}